* Wider / deeper channel to slide the plugs in

* Had miscalculated bezels, it seems.
This commit is contained in:
Roberto Alsina 2022-07-24 17:36:12 -03:00
parent 0f90755ed2
commit ed989fa000
2 changed files with 5 additions and 8 deletions

View File

@ -11,7 +11,7 @@ board_cutout = (
cq.Sketch().trapezoid(55, 50, 90, mode="a").reset().vertices("<X").fillet(5)
)
plug_channel_cutout = cq.Sketch().trapezoid(45, 6, 90, mode="a").reset().vertices("<X")
plug_channel_cutout = cq.Sketch().trapezoid(47, 7.5, 90, mode="a").reset().vertices("<X")
cable_relief = cq.Sketch().trapezoid(width - 2 * shell_t, 30, 90)
@ -57,7 +57,7 @@ def case():
# Cutout visible screen area from top face
.faces(">Z")
.workplane(centerOption="CenterOfBoundBox")
.center((width - screen_w) / 2 - screen_left_margin, 0)
.center((width - screen_w) / 2 - bezel_left, 0)
.placeSketch(screen_cutout)
.cutBlind(-shell_t)
# Cutout for segment breaks

View File

@ -5,23 +5,20 @@ shell_t = 3.5
screen_w = 223
screen_l = 57
# Distance from the left of the case to screen cutout
screen_left_margin = 7 + shell_t # (7 is bezel width on that side)
bezel_left = 7 # (7 is bezel width on that side)
bezel_right = 3
# width, length, height INCLUDING_BEZEL
display_w = 233
display_l = 65
# This is the general height without the board, that's handled separately
display_h = 5
width = 250
width = shell_t + bezel_left + screen_w + bezel_right + shell_t
height = display_h + 2 * shell_t + 1
length = display_l + 2 * shell_t + 1
fillet_s = 2
# Distance from the left of the case to display end
display_left_margin = screen_left_margin - 7
# Distance from the right of the case to display end
display_right_margin = width - display_left_margin - display_w
# Distance from the top of the case to display top
display_top_margin = (length - display_l) / 2
display_bottom_margin = display_top_margin # Symmetrical